/* X-Small (less than 576px) */
@media (max-width: 1199.98px) {
    /* Featured Section */
    #featured-section {
        width: var(--base-width);
        background: transparent;
        position: relative;
        z-index: 1;
        padding-top: var(--margin-padding-medium);
        padding-bottom: var(--margin-padding-large);
        & .icon-box-wrapper{
            & .icon-box{
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                justify-content: flex-start;
                align-items: flex-start;
                margin-bottom: var(--margin-padding-medium);
                & .icon-holder{
                    width: calc(var(--base-font-size) * 2.375);
                    height: calc(var(--base-font-size) * 2.375);
                    margin: auto auto auto 0;
                    background: var(--tdl-yellow);
                    border: var(--base-border);
                    border-radius: var(--base-width);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    & img {
                        width: calc(var(--base-font-size) * 1.2816);
                        height: calc(var(--base-font-size) * 1.3722);
                    }
                }
                & .spacer{
                    padding: calc(var(--margin-padding-small) / 2);
                }
                h2{ width: calc(var(--base-width) - calc(var(--base-font-size) * 3)); }
            }
        }
        & .featured-blurb-wrapper{
            background: var(--tdl-black);
            padding-top: var(--margin-padding-xlarge);
            padding-bottom: var(--margin-padding-xlarge);
            text-align: var(--text-align-center);
            & .row.col2{
                align-items: stretch;
            }
            & .featured-blurb-left{
                & .blurb-holder{
                    background: var(--tdl-white);
                    margin-bottom: var(--margin-padding-small);
                    border-radius: calc(var(--base-radius) / 2);
                    overflow: hidden;
                    & .blurb-header{
                        padding: var(--margin-padding-small);
                        background-color: var(--tdl-yellow);
                        & h3{/*Bigger font size for headers*/
                            font-size: calc(var(--base-font-size) * 1.5);
                        }
                    }
                    & .blurb-body{
                        padding: var(--margin-padding-small) 0;
                        & .col{
                            h3{ 
                                text-decoration: none;
                                font-size: calc(var(--base-font-size) * 1.5); /*Bigger font size for h3*/
                             }
                             h4{ 
                                font-size: calc(var(--base-font-size) * 1.4); /*Bigger font size for h4*/
                             }
                            &:nth-of-type(1){
                                order: 2;
                                display: flex;
                                flex-direction: row;
                                flex-wrap: wrap;
                                justify-content: center;
                                align-items: center;
                                gap: var(--margin-padding-small);
                                padding-bottom: var(--margin-padding-small);
                                border-bottom: var(--base-border);
                                margin-bottom: var(--margin-padding-small);
                            }
                            &:nth-of-type(2){ order: 1; height: 0px; }
                            &:nth-of-type(3){
                                order: 3;
                                display: flex;
                                flex-direction: row;
                                flex-wrap: wrap;
                                justify-content: center;
                                align-items: center;
                                gap: var(--margin-padding-small);
                            }
                        }
                        & .icon-holder{
                            width: calc(var(--base-font-size) * 2.375);
                            height: calc(var(--base-font-size) * 2.375);
                            border: var(--base-border);
                            border-radius: var(--base-width);
                            display: flex;
                            justify-content: center;
                            align-items: center;
                            margin: auto;
                            overflow: hidden;
                            transform: translate(-240%, -146%);
                            background-color: var(--tdl-white);
                            & img{ transform: scale(70%); }
                        }
                    }
                    &:last-child > .blurb-body > .col > .icon-holder{ transform: translate(-330%, -146%); }
                }
            }
            & .featured-blurb-right{
                text-align: center;
                & .image-badge-holder{
                    display: none;
                }
                & .btn-holder{
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    & .btn{ width: var(--base-width); }
                }
            }
            & .row {
                & .btn-holder{
                    width: var(--base-width);
                    & a{
                        width: var(--base-width);
                    }
                }
            }
            & h2{
                font-size: calc(var(--base-font-size) * 2.0);
            }
        }
    }
    /*Flex direction reverse*/
    .gmb-locations-case-worth{
        display: flex;
        flex-direction: column-reverse;
    }
}
/* Medium (≥768px) */
@media (min-width: 768px) and (max-width: 991.98px) {
    #featured-section {
        & .icon-box-wrapper .icon-box {
            box-shadow: 0px 0px 5px var(--tdl-black);
            padding: var(--margin-padding-medium);
            border-radius: var(--base-radius);
        }
    }
}
/* Large (≥992px) */
@media (min-width: 992px) and (max-width: 1199.98px){
    #featured-section {
        & .icon-box-wrapper .icon-box {
            box-shadow: 0px 0px 5px var(--tdl-black);
            padding: var(--margin-padding-medium);
            border-radius: var(--base-radius);
        }
    }
}

/* Extra Extra Large (≥1200px) - Actual Desktop Styles */
@media only screen and (min-width: 1200px){
    /* Featured Section */
    #featured-section {
        width: var(--base-width);
        background: var(--tdl-yellow);
        position: relative;
        z-index: 1;
        padding-top: var(--margin-padding-medium);
        padding-bottom: var(--margin-padding-large);
        & .icon-box-wrapper{
            & .icon-box{
                text-align: var(--text-align-center);
                & .icon-holder{
                    width: calc(var(--base-font-size) * 5);
                    height: calc(var(--base-font-size) * 5);
                    margin: auto;
                    background: var(--tdl-white);
                    border-radius: var(--base-width);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border: var(--base-border);
                }
                &:nth-of-type(1) .icon-holder img {
                    width: calc(var(--base-font-size) * 2.6875);
                    height: calc(var(--base-font-size) * 2.875);
                }
                &:nth-of-type(2) .icon-holder img {
                    width: calc(var(--base-font-size) * 3.5);
                    height: calc(var(--base-font-size) * 3.5);
                }
                &:nth-of-type(3) .icon-holder img {
                    width: calc(var(--base-font-size) * 3.3125);
                    height: calc(var(--base-font-size) * 2.8125);
                }
            }
        }
        & .featured-blurb-wrapper{
            background: var(--tdl-black);
            padding: var(--margin-padding-xlarge) var(--margin-padding-xxxlarge);
            border-radius: calc(var(--base-radius) * 1.0909);
            text-align: var(--text-align-center);
            & .row.col2{
                align-items: stretch;
            }
            & .row.col{
                a{
                    &:hover{
                        background: var(--tdl-white);
                        color: var(--tdl-black);
                    }
                }
            }
            & .featured-blurb-left{
                padding-right: var(--margin-padding-xxlarge);
                & .blurb-holder{
                    background: var(--tdl-white);
                    margin-bottom: var(--margin-padding-small);
                    border-radius: calc(var(--base-radius) / 2);
                    overflow: hidden;
                    & .blurb-header{
                        padding: var(--margin-padding-small);
                        background-color: var(--tdl-yellow);
                    }
                    & .blurb-body{
                        padding: var(--margin-padding-small);
                        & .icon-holder{
                            width: calc(var(--base-font-size) * 3.8125);
                            height: calc(var(--base-font-size) * 3.8125);
                            border: var(--base-border);
                            border-radius: var(--base-width);
                            display: flex;
                            justify-content: center;
                            align-items: center;
                            margin: auto;
                        }
                    }
                }
            }
            & .featured-blurb-right{
                text-align: center;
                & .image-badge-holder{
                    position: relative;
                    & img { max-width: var(--base-width); }
                    & .james-badge{
                        transform: translate(-25%, -25%);
                        left: auto;
                        right: 0;
                    }
                }
                & .btn-holder{
                    display: flex;
                    justify-content: center;
                    align-items: center;
                }
            }
        }
    }
}